Bug 646432 - /dev/mapper paths should not be returned from guestfs_mountpoints
/dev/mapper paths should not be returned from guestfs_mountpoints
Status: CLOSED UPSTREAM
Product: Virtualization Tools
Classification: Community
Component: libguestfs (Show other bugs)
unspecified
All Linux
low Severity medium
: ---
: ---
Assigned To: Richard W.M. Jones
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-10-25 07:58 EDT by Richard W.M. Jones
Modified: 2011-07-14 15:21 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 638899
Environment:
Last Closed: 2011-07-14 15:21:29 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Richard W.M. Jones 2010-10-25 07:58:55 EDT
This is very similar to bug 638899.

><fs> mountpoints 
/dev/mapper/vg_f13x64-lv_root: /
/dev/vda1: /boot

"/dev/mapper/..." should not appear there.  We should
make that path canonical.
Comment 1 Richard W.M. Jones 2010-10-27 09:53:49 EDT
Patch posted upstream:
https://www.redhat.com/archives/libguestfs/2010-October/msg00082.html

Note You need to log in before you can comment on or make changes to this bug.